﻿$ErrorActionPreference = 'Stop';

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir

  url           = "https://github.com/SoMuchForSubtlety/f1viewer/releases/download/v1.2.0/f1viewer_1.2.0_windows_32-bit.zip"
  url64bit      = "https://github.com/SoMuchForSubtlety/f1viewer/releases/download/v1.2.0/f1viewer_1.2.0_windows_64-bit.zip"
  
  checksumType  = 'sha256'
  checksum      = 'fc1031a225277082b4b3a2fb1ef3717daaad4e74d78c5db71b9f41a572bfa7fb'
  checksum64    = 'c2fd460c3fcb9224b037fe11650f65bb49ebcf9dba3ed060e66c77585143e329'

  softwareName  = 'f1viewer'
}
Install-ChocolateyZipPackage @packageArgs
